summaryrefslogtreecommitdiffstats
path: root/third_party/sqlite/google_update_sqlite.sh
diff options
context:
space:
mode:
authormpcomplete@google.com <mpcomplete@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2009-01-06 22:39:41 +0000
committermpcomplete@google.com <mpcomplete@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2009-01-06 22:39:41 +0000
commit586381f8db3497c24c11f96234f1879b34e74bc7 (patch)
tree99f7d18350289b135ef6dd5c161baba8bce668a3 /third_party/sqlite/google_update_sqlite.sh
parent6e3b12ff2cbbe8c481f986c8f0dd230bb50add2a (diff)
downloadchromium_src-586381f8db3497c24c11f96234f1879b34e74bc7.zip
chromium_src-586381f8db3497c24c11f96234f1879b34e74bc7.tar.gz
chromium_src-586381f8db3497c24c11f96234f1879b34e74bc7.tar.bz2
Upgrade our sqlite to 3.6.1, with the local changes made by Gears. I'm
checking in the full sqlite tree to make upstream merges easier. This means we'll have generated sources split out from the originals. One important change this makes is that "BEGIN" now defaults to "BEGIN IMMEDIATE" rather than "BEGIN DEFERRED". This doesn't affect us because we don't use unqualified BEGIN statements. The full CL is too big for Rietveld. I'm splitting it into 2. This one is reviewable. The other CL is just a fresh drop of: //depot/googleclient/gears/opensource/third_party/sqlite_google Review URL: http://codereview.chromium.org/15067 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@7623 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'third_party/sqlite/google_update_sqlite.sh')
-rwxr-xr-xthird_party/sqlite/google_update_sqlite.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/third_party/sqlite/google_update_sqlite.sh b/third_party/sqlite/google_update_sqlite.sh
new file mode 100755
index 0000000..d9009d5
--- /dev/null
+++ b/third_party/sqlite/google_update_sqlite.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+# A simple script to make it easier to merge in newer versions of sqlite.
+# It may not work perfectly, in which case, it at least serves as an outline
+# of the procedure to follow.
+
+if [ "$1" = "" ]; then
+ echo "Usage: $0 <Date to pull from CVS> [<merge tool>]"
+ echo "Example: $0 '2007/01/24 09:54:56'"
+ exit 1
+fi
+
+if [ "$2" = "" ]; then
+ MERGE="kdiff3 -m"
+fi
+
+BASE_DATE=`cat VERSION_DATE`
+NEW_DATE="$1"
+
+cd ..
+echo "_____ Logging in to sqlite.org cvs (log in as anonymous)..."
+cvs -d :pserver:anonymous@www.sqlite.org:/sqlite login
+cvs -d :pserver:anonymous@www.sqlite.org:/sqlite checkout -P -D "$BASE_DATE" -d sqlite-base sqlite
+cvs -d :pserver:anonymous@www.sqlite.org:/sqlite checkout -P -D "$NEW_DATE" -d sqlite-latest sqlite
+
+echo "_____ Running merge tool..."
+$MERGE sqlite-base sqlite-latest sqlite
+
+cd sqlite
+
+echo "_____ Updating VERSION_DATE to be $NEW_DATE ..."
+echo $NEW_DATE > VERSION_DATE
+
+echo "_____ Processing generated files..."
+./google_generate_preprocessed.sh